E-MailRelay

Static Public Member Functions | List of all members
GNet::EventEmitter Class Reference

Provides static methods to raise an EventHandler event, as used by the various event loop implementations. More...

`#include <geventemitter.h>`

## Static Public Member Functions
static void | raiseReadEvent (EventHandler *, EventState &)
| Calls readEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler. More...
static void | raiseWriteEvent (EventHandler *, EventState &)
| Calls writeEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler. More...
static void | raiseOtherEvent (EventHandler *, EventState &, EventHandler::Reason)
| Calls otherEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler. More...

## Detailed Description

Provides static methods to raise an EventHandler event, as used by the various event loop implementations.

Any exceptions thrown by an event handler are caught and delivered to the associated exception handler.

Event loop implementations are required to keep the EventState object valid when using this interface, even if the event handler deletes the target object(s) (see EventLoop::disarm()).

Definition at line 44 of file geventemitter.h.

## Member Function Documentation

## ◆ raiseOtherEvent()

void GNet::EventEmitter::raiseOtherEvent | ( | EventHandler * | handler,
|  | EventState & | es,
|  | EventHandler::Reason | reason
| ) |  |
| static

Calls otherEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler.

Definition at line 98 of file geventemitter.cpp.

## ◆ raiseReadEvent()

void GNet::EventEmitter::raiseReadEvent | ( | EventHandler * | handler,
|  | EventState & | es
| ) |  |
| static

Calls readEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler.

Definition at line 84 of file geventemitter.cpp.

## ◆ raiseWriteEvent()

void GNet::EventEmitter::raiseWriteEvent | ( | EventHandler * | handler,
|  | EventState & | es
| ) |  |
| static

Calls writeEvent() on the event handler and catches any exceptions and delivers them to the EventState exception handler.

Definition at line 91 of file geventemitter.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventemitter.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventemitter.cpp